extends Resource

class_name Substance

@export var formula: StringName
@export var scientific_name: StringName
@export var melting_point: float
@export var boiling_point: float
@export var color: Color
@export var prefer_scientific_name: bool

func get_formula() -> StringName:
	return scientific_name if prefer_scientific_name else formula
